﻿@import url('https://fonts.googleapis.com/css2?family=Poppins:wght@300;400;500;600;700&display=swap');

html, body {
    height: 100vh;
    margin: 0; /* Ensure no default margin */
}

.app-body {
    height: 100vh;
    display: flex;
    align-items: center;
    justify-content: center;
}

body {
    background: url(https://wallpapercave.com/wp/wp4465109.jpg) no-repeat center center fixed;
    background-size: cover;
    font-family: Poppins, sans-serif;
    margin: 0; /* Ensure no default margin */
}

.card {
    position: relative;
    background: #f7fdff;
}

    .card:before {
        content: '';
        position: absolute;
        top: 0;
        left: 0;
        height: 100%;
        width: 100%;
        z-index: -1;
    }

.lpx-content-container {
    background: transparent;
    margin: 0;
}

.form-control, .form-select {
    background-color: #ffffff;
    border-radius: 0.5rem;
    border-color: #8f8f8f;
    color: #161616;
}

.lpx-content {
    min-height: 100vh;
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
}

.lpx-topbar-container,
.lpx-mobile-navbar-container {
    display: none;
}

.form-check-input:checked {
    border-color: #0A67B4 !important;
    background-color: #0A67B4 !important;
}

.logo-container {
    display: flex;
    justify-content: center;
    margin-top: 20px;
}

.logo {
    width: 450px;
    filter: brightness(0) invert(1);
}

.alert-danger {
    background: #f8d7da;
    border: 1px solid #f8d7da;
    color: #842029;
    padding: 10px 20px;
}

    .alert-danger .btn-close {
        padding: 15px;
    }

@media (max-width: 426px) {
    #lpx-wrapper {
        background-size: 100vw;
    }
}

@media (min-width: 992px) {
    .col-lg-5 {
        flex: 0 0 auto;
        width: 33.33333333% !important;
    }
}

input[type="password"]::-ms-reveal {
    display: none;
}

@supports (-ms-ime-align: auto) {
    #PasswordVisibilityButton {
        display: block;
    }
}
